function z=zaTri(greska,f1,f2,f3,m,n,p)
rez=fopen('rezultat.txt','a');

fprintf(rez,'Uneli ste sledece funkcije:\n');
fprintf(rez,f1);
fprintf(rez,'\n');
fprintf(rez,f2);
fprintf(rez,'\n');
fprintf(rez,f3);
fprintf(rez,'\n\nJakobijeva matrica vektora f=(f1,f2,...,fn)'' je:\n\n');

f1=sym(f1);
f2=sym(f2);
f3=sym(f3);
syms x y z;
J=jacobian([f1;f2;f3],[x y z]);
fprintf(rez,'\t[');
fprintf(rez,char(J(1,1)));
fprintf(rez,'\t');
fprintf(rez,char(J(1,2)));
fprintf(rez,'\t');
fprintf(rez,char(J(1,3)));
fprintf(rez,']\n\t[');
fprintf(rez,char(J(2,1)));
fprintf(rez,'\t');
fprintf(rez,char(J(2,2)));
fprintf(rez,'\t');
fprintf(rez,char(J(2,3)));
fprintf(rez,']\n\t[');
fprintf(rez,char(J(3,1)));
fprintf(rez,'\t');
fprintf(rez,char(J(3,2)));
fprintf(rez,'\t');
fprintf(rez,char(J(3,3)));
fprintf(rez,']');


[r1 r2 r3 r4 r5 r6 r7 r8 r9]=racunaj(J,m,n,p);

fprintf(rez,'\n\nPolazimo od x(0)=[%5.4f %5.4f %5.4f] i izracunavamo \nW(x(0))=',m,n,p);
fprintf(rez,'\n\t[%5.4f %5.4f %5.4f ]\n\t[%5.4f %5.4f %5.4f]\n\t[%5.4f %5.4f %5.4f]\n\nPa je:\nW''(x(0))=',r1,r2,r3,r4,r5,r6,r7,r8,r9);


w=inv([r1 r2 r3; r4 r5 r6;r7 r8 r9]);
fprintf(rez,'\n\t[%5.4f %5.4f %5.4f ]\n\t[%5.4f %5.4f %5.4f]\n\t[%5.4f %5.4f %5.4f]\n',w(1,1),w(1,2),w(1,3),w(2,1),w(2,2),w(2,3),w(3,1),w(3,2),w(3,3));
fprintf(rez,'\n\nDalje je:\n');

brojac=0;

while(brojac<30)
    x0=[m;n;p];
    w0=w;
    f1=inline(char(f1));
    f2=inline(char(f2));
    f3=inline(char(f3));
    br1=f1(m,n,p);
    br2=f2(m,n,p);
    br3=f3(m,n,p);
    f0=[br1;br2;br3];
    
    x1=x0-w0*f0;
    
    
    
    fprintf(rez,'x(%1.0f)=x(%1.0f)-W''(x(%1.0f))*f(x(%1.0f))=',brojac+1,brojac,brojac,brojac);
    
    fprintf(rez,mat2str(x1,8));
    fprintf(rez,'\n\n');
    
    m=x1(1,1);
    n=x1(2,1);
    p=x1(3,1);
    [r1 r2 r3 r4 r5 r6 r7 r8 r9]=racunaj(J,m,n,p);
    w=inv([r1 r2 r3; r4 r5 r6; r7 r8 r9]);
    brojac=brojac+1;
    
    temp=x1-x0;
    maks=abs(max(temp));
    
    if maks<=greska
        fprintf(rez,'\t||x(%1.0f)-x(%1.0f)||<eps\n',brojac,brojac-1);
        fprintf(rez,'\t%5.7f<%5.7f',maks,greska);
        fprintf(rez,'Resenje je: x*=%3.5f \t y*=%3.5f\t z*=%3.4f\n\n',m,n,p);
        fclose(rez);
        return;
    end
    
end

fclose(rez);


function [a,b,c,d,e,f,g,h,i]=racunaj(m,x,y,z)
f1=inline(char(m(1,1)),'x','y','z');
f2=inline(char(m(1,2)),'x','y','z');
f3=inline(char(m(1,3)),'x','y','z');
f4=inline(char(m(2,1)),'x','y','z');
f5=inline(char(m(2,2)),'x','y','z');
f6=inline(char(m(2,3)),'x','y','z');
f7=inline(char(m(3,1)),'x','y','z');
f8=inline(char(m(3,2)),'x','y','z');
f9=inline(char(m(3,3)),'x','y','z');

a=f1(x,y,z);
b=f2(x,y,z);
c=f3(x,y,z);
d=f4(x,y,z);
e=f5(x,y,z);
f=f6(x,y,z);
g=f7(x,y,z);
h=f8(x,y,z);
i=f9(x,y,z);
