function z=zaDva(greska,f1,f2,m,n)
rez=fopen('rezultat.txt','a');


fprintf(rez,'Uneli ste sledece funkcije:\n');
fprintf(rez,f1);
fprintf(rez,'\n');
fprintf(rez,f2);
fprintf(rez,'\n\nJakobijeva matrica vektora f=(f1,f2,...,fn)'' je:\n\n');

f1=sym(f1);
f2=sym(f2);
syms x y;
J=jacobian([f1;f2],[x y]);
fprintf(rez,'\t[');
fprintf(rez,char(J(1,1)));
fprintf(rez,'\t');
fprintf(rez,char(J(1,2)));
fprintf(rez,']\n\t[');
fprintf(rez,char(J(2,1)));
fprintf(rez,'\t');
fprintf(rez,char(J(2,2)));
fprintf(rez,']');


[r1 r2 r3 r4]=racunaj(J,m,n);

fprintf(rez,'\n\nPolazimo od x(0)=[%5.4f %5.4f] i izracunavamo \nW(x(0))=',m,n);
fprintf(rez,'\n\t[%5.4f %5.4f]\n\t[%5.4f %5.4f]\n\nPa je:\nW''(x(0))=',r1,r2,r3,r4);


w=inv([r1 r2; r3 r4]);
fprintf(rez,'\n\t[%5.4f %5.4f]\n\t[%5.4f %5.4f]\n',w(1,1),w(1,2),w(2,1),w(2,2));
fprintf(rez,'\n\nDalje je:\n');

brojac=0;

while(brojac<30)
    x0=[m;n];
    w0=w;
    f1=inline(char(f1));
    f2=inline(char(f2));
    br1=f1(m,n);
    br2=f2(m,n);
    f0=[br1;br2];
    
    x1=x0-w0*f0;
    
    
    
    fprintf(rez,'x(%1.0f)=x(%1.0f)-W''(x(%1.0f))*f(x(%1.0f))=',brojac+1,brojac,brojac,brojac);
    
    fprintf(rez,mat2str(x1,8));
    fprintf(rez,'\n\n');
    
    m=x1(1,1);
    n=x1(2,1);
    [r1 r2 r3 r4]=racunaj(J,m,n);
    w=inv([r1 r2; r3 r4]);
    brojac=brojac+1;
    
    temp=x1-x0;
    maks=abs(max(temp));
    
    if maks<=greska
        fprintf(rez,'\t||x(%1.0f)-x(%1.0f)||<eps\n',brojac,brojac-1);
        fprintf(rez,'\t%5.7f<%5.7f\n\n',maks,greska);
        fprintf(rez,'Resenje je: x*=%3.5f \t y*=%3.5f\n\n',m,n);
        fclose(rez);
        return;
    end
    
end

fclose(rez);


function [a,b,c,d]=racunaj(m,x,y)
f1=inline(char(m(1,1)),'x','y');
f2=inline(char(m(1,2)),'x','y');
f3=inline(char(m(2,1)),'x','y');
f4=inline(char(m(2,2)),'x','y');
a=f1(x,y);
b=f2(x,y);
c=f3(x,y);
d=f4(x,y);